﻿
@model Accounting.Model.Check
@using Accounting.Model.Enums
@{
    ViewBag.Title = "Historial de Movimientos";
    Layout = "~/Views/Shared/_LayoutCollapsed.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Historial de Movimientos</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-danger" onclick="window.history.back()">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            <div class="clearfix" style="clear:both;height:15px;"></div>

            <table class="table table-hover dataTable table-striped width-full" id="checksTable">
                <thead>
                    <tr>
                        <th class="col-xs-2">Fecha de Movimiento</th>
                        <th class="col-xs-2">Obra de Origen</th>
                        <th class="col-xs-3">Movimiento</th>
                        <th class="col-xs-2">Destino</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.CheckMovements.OrderByDescending(c => c.CheckId).ToList())
                    {
                        <tr data-attr-id="@item.CheckId">
                            <td>@Html.DisplayFor(modelItem => item.Date)</td>
                            <td>@Html.DisplayFor(modelItem => item.Work1.Name)</td>
                            @if (item.MovementType == (int)CheckMovementEnum.Entregado)
                            {
                                <td><div class="label label-table label-success">ENTREGADO</div></td>
                                <td>@Html.DisplayFor(modelItem => item.Supplier.CoroporateName)</td>
                            }
                            else
                            {
                                <td><div class="label label-table label-danger">TRANSFERIDO</div></td>
                                <td>@Html.DisplayFor(modelItem => item.Work.Name)</td>
                            }
                        </tr>
                    }
                </tbody>
            </table>

        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">
        $(document).ready(function () {

            $.extend(jQuery.fn.dataTableExt.oSort, {
                "datetime-au-pre": function (a) {
                    var x;
                    if ($.trim(a) != '') {
                        var frDatea = $.trim(a).split(' ');
                        var frTimea = '12:12:12'.split(':');
                        var frDatea2 = frDatea[0].split('/');
                        var year = frDatea2[2];
                        var month = frDatea2[1];
                        var day = frDatea2[0];
                        var hour = frTimea[0];
                        var minute = frTimea[1];
                        var second = frTimea[2];
                        var ampm = frDatea[2];

                        x = (year + month + day + hour + minute + second) * 1;
                    } else {
                        x = 10000000000000;
                    }

                    return x;
                },

                "datetime-au-asc": function (a, b) {
                    return a - b;
                },

                "datetime-au-desc": function (a, b) {
                    return b - a;
                }
            });

            $('#checksTable').dataTable({ aaSorting: [[0, 'desc']], aoColumnDefs: [{ "sType": "datetime-au", "aTargets": [0] }] });

        });

    </script>

}

